
	EventSounds.Group = {}

	function EventSounds.Group:Initialize()

	end

	function EventSounds.Group:onUpdate()
		
		for I = 1, GetGroupSize() do
			if GetUnitName('player') == GetUnitName('group' .. I) then return end
			if not DoesUnitExist('group' .. I) then return end
			local UnitPowerCurrent, UnitPowerMax = GetUnitPower('group' .. I, POWERTYPE_HEALTH)
			HP_LIMIT = EventSounds.SavedVars.HPLIMIT or 80
			local HP_Percent = ( UnitPowerCurrent / UnitPowerMax ) * 100
			if HP_Percent < HP_LIMIT and HP_Percent > 1 then
				self:playSound(EventSounds.SavedVars.OnHPLimit)
			end	
		end

	end


	local AntiSpam = false
	function EventSounds.Group:playSound(argSound)
		if AntiSpam then return end
		AntiSpam = true
		zo_callLater(function() AntiSpam = false end,  EventSounds.SavedVars.HPDelay * 1000 ) 
		PlaySound(SOUNDS[argSound])
	end